package spoke.connection;

import java.io.*;

public interface Connectable extends Runnable {
	void stop();

	void open();

	void close();

	void connect(Connectable dest, OutputStream os, int nout);

	void disconnect(Connectable dest);
}
