package spoke.signal.audio;

import java.io.*;
import spoke.signal.*;
import spoke.math.numeric.*;

public class UlawInputStream extends FilterInputStream implements ComplexInput {
	public UlawInputStream(InputStream in) {
		super(in);
	}

	public final Complex readComplex() throws IOException {
		int b=in.read();
		if(b==-1) return null;
		else return Complex.valueOf((double)Ulaw.ulaw2int((byte)b)/(double)Short.MAX_VALUE,0.);
	}
}
