package spoke.signal.kohonen;

import java.io.*;
import spoke.util.*;

public abstract class Relation implements spoke.util.Comparable, Serializable {
	public int node;

	public Relation(int node) {
		this.node=node;
	}

	public abstract Relation compose(Relation q);

	public abstract double[] fn(double sample[]);

	public int compareTo(spoke.util.Comparable comparable) {
		Relation q=(Relation)comparable;
		return node-q.node;
	}
}
