package spoke.signal.ondelette;

import java.io.*;
import spoke.signal.*;
import spoke.math.numeric.*;

public class Resume extends Ondelette {
	public void run() {
		ComplexInput in=(ComplexInput)connector.getInputStream(0);
		ComplexOutput out=(ComplexOutput)connector.getOutputStream(0);
		int length=1<<(dyades-resolution);

		stopped=false;
		while(!stopped) {
			try {
				if(sens) {
					for(int i=0;i<length;i++) buffer[i]=in.readComplex();
					for(int i=length;i<buffer.length;i++) buffer[i]=Complex.valueOf(0.,0.);
					tor.compute(buffer,resolution,true);
					for(int i=0;i<buffer.length;i++) out.writeComplex(buffer[i]);
				} else {
					for(int i=0;i<buffer.length;i++) buffer[i]=in.readComplex();
					tor.compute(buffer,resolution,false);
					for(int i=0;i<length;i++) out.writeComplex(buffer[i]);
				}
			} catch (InterruptedIOException e) {
			} catch (IOException e) {
				e.printStackTrace();
			}
		}
	}
}
