package spoke.signal.ondelette;

import java.io.*;
import spoke.signal.*;
import spoke.math.numeric.*;

public class Resume2D extends Ondelette2D {
	public void run() {
		ComplexInput in=(ComplexInput)connector.getInputStream(0);
		ComplexOutput out=(ComplexOutput)connector.getOutputStream(0);
		int length=buffer.length>>(resolution<<1);
		int hauteur=this.hauteur>>resolution;
		int largeur=this.largeur>>resolution;

		stopped=false;
		while(!stopped) {
			try {
				if(sens) {
					for(int x=0;x<largeur;x++) for(int y=0;y<hauteur;y++) buffer[x][y]=in.readComplex();
					for(int x=0;x<this.largeur;x++) for(int y=0;y<this.hauteur;y++) {
						if(x<largeur && y<hauteur);
						else buffer[x][y]=Complex.valueOf(0.,0.);
					}
					tor.compute(buffer,resolution,true);
					for(int x=0;x<this.largeur;x++) for(int y=0;y<this.hauteur;y++) out.writeComplex(buffer[x][y]);
				} else {
					for(int x=0;x<this.largeur;x++) for(int y=0;y<this.hauteur;y++) buffer[x][y]=in.readComplex();
					tor.compute(buffer,resolution,false);
					for(int x=0;x<largeur;x++) for(int y=0;y<hauteur;y++) out.writeComplex(buffer[x][y]);
				}
			} catch (InterruptedIOException e) {
			} catch (IOException e) {
				e.printStackTrace();
			}
		}
	}
}
