package spoke.util;

public class ArrayComparator extends Comparator {
	public static final Comparator comparator=new ArrayComparator();

	private ArrayComparator() {}

	public int compare(Object o1, Object o2) {
		Comparable co1[]=(Comparable[])o1;
		Comparable co2[]=(Comparable[])o2;
		if(co1.length<co2.length) return -1;
		else if(co1.length>co2.length) return 1;
		for(int i=0;i<co1.length;i++) {
			if(co1[i].compareTo(co2[i])<0) return -1;
			else if(co1[i].compareTo(co2[i])>0) return 1;
		}
		return 0;
	}
}
