package spoke.math.numeric;

public class Quaternion extends SpokeVector {
	Quaternion(double element[]) {
		super(element);
	}

	public Arithmetic multiply(Arithmetic arithmetic) {
		double m[][]={
			{element[0],-element[1],element[2],-element[3]},
			{element[1],element[0],element[3],element[2]},
			{-element[2],-element[3],element[0],element[1]},
			{element[3],-element[2],-element[1],element[0]}
		};
		return new Matrix(m).multiply(arithmetic);
	}

	public static Quaternion valueOf(double x, double y, double z, double w) {
		Quaternion c=new Quaternion(new double[4]);
		c.element[0]=x;
		c.element[1]=y;
		c.element[2]=z;
		c.element[3]=w;
		return c;
	}

	protected Arithmetic newinstance(int n) {
		return new Quaternion(new double[4]);
	}
}
