package spoke.signal;

import java.io.*;
import spoke.connection.*;

public class ComplexConnector extends Connector {
	public ComplexConnector(Connectable connectable, int nin, int nout) {
		super(connectable,nin,nout);
	}

	public void put(Connectable source, int nin, int nout) {
		ComplexPipedInputStream is=new ComplexPipedInputStream();
		ComplexPipedOutputStream os=new ComplexPipedOutputStream();

		for(;nin<in.length;nin++) if(in[nin]==null) break;
		hin.put(source,new Integer(nin));
		in[nin]=is;
		try {
			os.connect(is);
		} catch (IOException e) {
			e.printStackTrace();
		}
		source.connect(connectable,os,nout);
	}
}
