package spoke.signal;

import java.io.*;
import spoke.math.numeric.*;

public class ComplexOutputStream extends DataOutputStream implements ComplexOutput {
	public ComplexOutputStream(OutputStream out) {
		super(out);
	}

	public final void writeComplex(Complex c) throws IOException {
		writeDouble(c.element0);
		writeDouble(c.element1);
	}
}
