package spoke.signal.audio;

import java.io.*;
import javax.sound.sampled.*;
import spoke.signal.*;
import spoke.math.numeric.*;

public class SourceDataLineOutputStream extends OutputStream implements ComplexOutput {
	SourceDataLine line;

	public SourceDataLineOutputStream(SourceDataLine line) {
		this.line=line;
	}

	public void write(int b) throws IOException {}

	public void writeComplex(Complex c) throws IOException {
		writeShort((int)(c.element0*(double)Short.MAX_VALUE));
	}

	public void writeShort(int v) throws IOException {
		data[0]=(byte)((v>>8)&0xff);
		data[1]=(byte)(v&0xff);
		line.write(data,0,2);
	}

	private byte data[]=new byte[2];
}
