package spoke.signal.audio;

import java.io.*;
import spoke.signal.*;
import spoke.math.numeric.*;

public class UlawOutputStream extends FilterOutputStream implements ComplexOutput {
	public UlawOutputStream(OutputStream out) {
		super(out);
	}

	public final void writeComplex(Complex c) throws IOException {
		out.write(Ulaw.int2ulaw((int)(c.element0*(double)Short.MAX_VALUE)));
	}
}
