package spoke.signal.kohonen;

public abstract class Damier extends SOM {
	protected int width;
	protected int height;

	public Damier(int dimension, int width, int height) {
		super(dimension);
		this.width=width;
		this.height=height;
	}

	public int[] coordonnee(int n) {
		int c[]=new int[2];
		c[0]=n%width;
		c[1]=n/width;
		return c;
	}

	public int index(int x, int y) {
		return y*width+x;
	}
}
