package spoke.signal.kohonen;

import java.util.*;

public class SOMNode extends Node {
	Vector relation=new Vector();

	public SOMNode(double weight[]) {
		super(weight,"");
	}

	public void move(double sample[], double l) {
		for(int i=0;i<weight.length;i++) {
			weight[i]+=(sample[i]-weight[i])*l;
		}
	}

	public void addElement(Relation obj) {
		relation.addElement(obj);
	}

	public void trimToSize() {
		relation.trimToSize();
	}

	public Enumeration elements() {
		return relation.elements();
	}
}
