package spoke.signal.misc;

import java.io.*;
import spoke.signal.*;
import spoke.math.numeric.*;

public class Integrateur extends Module {
	boolean sens=false;

	public void run() {
		ComplexInput in=(ComplexInput)connector.getInputStream(0);
		ComplexOutput out=(ComplexOutput)connector.getOutputStream(0);
		Complex z=Complex.valueOf(0.,0.);

		stopped=false;
		while(!stopped) {
			try {
				Complex c=in.readComplex();
				if(sens) {
					out.writeComplex((Complex)c.subtract(z));
					z=c;
				} else {
					z=(Complex)c.add(z);
					out.writeComplex(z);
				}
			} catch (InterruptedIOException e) {
			} catch (IOException e) {
				e.printStackTrace();
			}
		}
	}

	public void setSens(boolean sens) {
		this.sens=sens;
	}

	public boolean getSens() {
		return(sens);
	}
}
