package spoke.signal.ondelette;

import spoke.math.numeric.*;

public class TOR2D {
	int nl,nc;
	TOR torl,torc;

	public TOR2D(int nl, int nc, Filtre h) {
		this.nl=nl;
		this.nc=nc;
		torl=new TOR(nl,h);
		torc=new TOR(nc,h);
	}

	public void compute(Arithmetic x[][], int resolution, boolean sens) {
		Arithmetic y[]=new Complex[nl];
		Arithmetic z[]=new Complex[nc];

		for(int i=0;i<nl;i++) {
			for(int j=0;j<nc;j++) z[j]=x[i][j];
			torc.compute(z,resolution,sens);
			for(int j=0;j<nc;j++) x[i][j]=z[j];
		}
		for(int i=0;i<nc;i++) {
			for(int j=0;j<nl;j++) y[j]=x[j][i];
			torl.compute(y,resolution,sens);
			for(int j=0;j<nl;j++) x[j][i]=y[j];
		}
	}
}
