package spoke.signal.util;

import java.io.*;
import spoke.signal.*;
import spoke.math.numeric.*;

public class Additionneur extends Module {
	int voie=1;

	public Additionneur() {
		connector.setInput(voie);
	}

	public void run() {
		ComplexInput in[]=new ComplexInput[voie];
		for(int i=0;i<in.length;i++) in[i]=(ComplexInput)connector.getInputStream(i);
		ComplexOutput out=(ComplexOutput)connector.getOutputStream(0);

		stopped=false;
		while(!stopped) {
			try {
				Complex c=Complex.valueOf(0.,0.);
				for(int i=0;i<in.length;i++) c=(Complex)c.add(in[i].readComplex());
				out.writeComplex(c);
			} catch (InterruptedIOException e) {
			} catch (IOException e) {
				e.printStackTrace();
			}
		}
	}

	public void setVoie(int voie) {
		this.voie=voie;
		connector.setInput(voie);
	}

	public int getVoie() {
		return voie;
	}
}
