package spoke.signal.util;

import java.io.*;
import spoke.signal.*;
import spoke.math.numeric.*;

public class Repeteur extends Module {
	int voie=1;

	public Repeteur() {
		connector.setOutput(voie);
	}

	public void run() {
		ComplexInput in=(ComplexInput)connector.getInputStream(0);
		ComplexOutput out[]=new ComplexOutput[voie];
		for(int i=0;i<out.length;i++) out[i]=(ComplexOutput)connector.getOutputStream(i);

		stopped=false;
		while(!stopped) {
			try {
				Complex c=in.readComplex();
				for(int i=0;i<out.length;i++) out[i].writeComplex(c);
			} catch (InterruptedIOException e) {
			} catch (IOException e) {
				e.printStackTrace();
			}
		}
	}

	public void setVoie(int voie) {
		this.voie=voie;
		connector.setOutput(voie);
	}

	public int getVoie() {
		return voie;
	}
}
