package spoke.space;

import java.awt.*;
import spoke.math.numeric.*;

public class StereoViewer extends Viewer {
	public void paint(Graphics g) {
		double d=(2.*Math.PI)/180.;
		decale=(Matrix)Matrix.rotation(dimension,0,-d).multiply(repere);
		myUpdate(graphics[0]);
		decale=(Matrix)Matrix.rotation(dimension,0,d).multiply(repere);
		myUpdate(graphics[1]);
		g.drawImage(image[0],0,0,this);
		g.drawImage(image[1],width,0,this);
		synchronized(this) {
			notify();
		}
	}

	void setImage() {
		image=new Image[2];
		graphics=new Graphics[2];
		width=size.width/2;
		image[0]=createImage(width,size.height);
		graphics[0]=image[0].getGraphics();
		image[1]=createImage(width,size.height);
		graphics[1]=image[1].getGraphics();
	}

	public Dimension getPreferredSize() {
		return new Dimension(400,200);
	}
}
